curl --request GET \
--url https://api.snappy.com/public-api/v2/campaigns \
--header 'X-Api-Key: <api-key>'{
"results": [
{
"id": "abcd1234",
"createdAt": "2021-01-01T00:00:00.000Z",
"updatedAt": "2021-01-01T00:00:00.000Z",
"name": "Campaign Name",
"accountId": "a12bcd34",
"companyId": "A1b2C3d4",
"status": "draft",
"source": "api_native",
"account": {
"id": "a12bcd34",
"name": "Account Name"
},
"type": "oneOffs",
"giftsExpirationInDays": 30,
"giftExpirationDate": "<string>",
"properties": [
{
"budget": 100,
"collection": {
"id": "abcdef12",
"name": "Collection Name",
"defaultCountry": "US"
}
}
],
"customization": {
"giftProperties": [
{
"selectedGiftType": "collection",
"budget": {
"max": 100,
"min": 76
},
"expiration": {
"type": "daysFromSend",
"numberOfDays": 30
},
"guaranteedGift": {
"type": "daysFromSend",
"numberOfDays": 30
},
"collection": {
"id": "12345678",
"featuredProducts": [
"12345678"
]
},
"product": {
"id": "12345678",
"displayType": "displayAsSurprise"
}
}
],
"notificationPolicy": {
"sendingChannels": [
"mail"
],
"disableReminders": true
},
"recipientExperience": {
"type": "enterAddress",
"visualElements": {
"reveal": {
"type": "snowGlobe",
"primaryColor": "#000000",
"secondaryColor": "#000000"
},
"greeting": {
"content": {
"ops": [
{
"insert": "Happy Birthday!"
}
]
},
"banner": {
"text": "Happy Birthday!",
"color": "#000000",
"mediaItems": {
"background": [
{
"type": "image",
"url": "https://example.com/image.jpg"
}
]
}
}
},
"postClaim": {
"redirectAfterClaim": "https://example.com/redirect"
}
}
}
}
}
],
"skip": 0,
"limit": 10
}Use this API to search for and retrieve a list of campaigns based on your specified criteria.
Filtering options:
campaigns:readcurl --request GET \
--url https://api.snappy.com/public-api/v2/campaigns \
--header 'X-Api-Key: <api-key>'{
"results": [
{
"id": "abcd1234",
"createdAt": "2021-01-01T00:00:00.000Z",
"updatedAt": "2021-01-01T00:00:00.000Z",
"name": "Campaign Name",
"accountId": "a12bcd34",
"companyId": "A1b2C3d4",
"status": "draft",
"source": "api_native",
"account": {
"id": "a12bcd34",
"name": "Account Name"
},
"type": "oneOffs",
"giftsExpirationInDays": 30,
"giftExpirationDate": "<string>",
"properties": [
{
"budget": 100,
"collection": {
"id": "abcdef12",
"name": "Collection Name",
"defaultCountry": "US"
}
}
],
"customization": {
"giftProperties": [
{
"selectedGiftType": "collection",
"budget": {
"max": 100,
"min": 76
},
"expiration": {
"type": "daysFromSend",
"numberOfDays": 30
},
"guaranteedGift": {
"type": "daysFromSend",
"numberOfDays": 30
},
"collection": {
"id": "12345678",
"featuredProducts": [
"12345678"
]
},
"product": {
"id": "12345678",
"displayType": "displayAsSurprise"
}
}
],
"notificationPolicy": {
"sendingChannels": [
"mail"
],
"disableReminders": true
},
"recipientExperience": {
"type": "enterAddress",
"visualElements": {
"reveal": {
"type": "snowGlobe",
"primaryColor": "#000000",
"secondaryColor": "#000000"
},
"greeting": {
"content": {
"ops": [
{
"insert": "Happy Birthday!"
}
]
},
"banner": {
"text": "Happy Birthday!",
"color": "#000000",
"mediaItems": {
"background": [
{
"type": "image",
"url": "https://example.com/image.jpg"
}
]
}
}
},
"postClaim": {
"redirectAfterClaim": "https://example.com/redirect"
}
}
}
}
}
],
"skip": 0,
"limit": 10
}Documentation Index
Fetch the complete documentation index at: https://docs.snappy.com/llms.txt
Use this file to discover all available pages before exploring further.
Company level authentication provides access to all resources under your company, including accounts, campaigns, gifts, and recipients.
POST /v2/authentication/apiKeys endpoint to generate a new API keyInclude your API key in the X-Api-Key header for every request:
X-Api-Key: YOUR_24_CHARACTER_API_KEYFor production environments, enable mutual TLS authentication:
enforceMtls: true when creating the API keyhttps://mtls-api.snappy.com/public-apiSource of the request
api_native, api_zapier, api_salesforce, api_ftp, api_make "api_native"
Company ID
^[A-Za-z0-9]{8,}$"12345678"
Account ID
^[A-Za-z0-9]{8,}$"a12bcd34"
Number of records to skip for pagination (use with limit for paging through results)
x >= 00
Limit returned campaigns
1 <= x <= 1000100
The types of campaigns that can be returned. comma-separated format without whitespace in between. valid values are: anniversary, birthday, schedule, marketing, oneOffs, newHire.
1The type of the campaign. valid values are: anniversary, birthday, schedule, marketing, oneOffs, newHire.
anniversary, birthday, schedule, marketing, oneOffs, newHire Filter by campaign sources
1The source of the campaign.
dashboard, dashboard_ai, api_native, api_zapier, api_make, api_salesforce, api_ftp Filter by campaign statuses
1The status of the campaign.
live, sent, draft, paused, pending, scheduled, archived, active The fields that can be returned for the campaign. comma-separated format without whitespace in between. valid values are: id, name, createdAt, updatedAt, companyId, accountId, account, properties, giftsExpirationInDays, giftExpirationDate, type, source, status, customization, full.
1The fields that can be returned for the campaign. valid values are: id, name, createdAt, updatedAt, companyId, accountId, account, properties, giftsExpirationInDays, giftExpirationDate, type, source, status, customization, full.
id, name, createdAt, updatedAt, companyId, accountId, account, properties, giftsExpirationInDays, giftExpirationDate, type, status, source, customization, full Ok
List of campaigns with pagination info.
The campaigns of the company.
Show child attributes
Number of records to skip for pagination (use with limit for paging through results)
x >= 00
Maximum number of records to return per page
1 <= x <= 10010
Was this page helpful?